> For the complete documentation index, see [llms.txt](https://docs.xrpscan.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xrpscan.com/api-documentation/balance/balances.md).

# Balances

Also known as XRP rich list.

This endpoint retrieves XRP balances for the top 10,000 active accounts in descending order of balance held. This list can also be used as "XRP *rich list*".&#x20;

{% hint style="info" %}
Account balances returned by this endpoint are not real time. This data is updated nightly.
{% endhint %}

## Request

{% tabs %}
{% tab title="GET" %}

```
GET /api/v1/balances
```

{% endtab %}
{% endtabs %}

## Example

{% tabs %}
{% tab title="curl" %}

```
curl https://api.xrpscan.com/api/v1/balances
```

{% endtab %}
{% endtabs %}

## Response

{% tabs %}
{% tab title="JSON" %}

```json
[
  {
    "account": "rMQ98K56yXJbDGv49ZSmW51sLn94Xe1mu1",
    "balance": 1960027030133974,
    "name": {
      "_id": "64436b3c0b75eabd8ea9640b",
      "name": "Ripple",
      "desc": "29",
      "account": "rMQ98K56yXJbDGv49ZSmW51sLn94Xe1mu1",
      "domain": "ripple.com",
      "twitter": "Ripple",
      "__v": 0
    }
  },
  {
    "account": "rKveEyR1SrkWbJX214xcfH43ZsoGMb3PEv",
    "balance": 1572294079629055,
    "name": {
      "_id": "64436b3c0b75eabd8ea96416",
      "name": "Ripple",
      "desc": "39",
      "account": "rKveEyR1SrkWbJX214xcfH43ZsoGMb3PEv",
      "domain": "ripple.com",
      "twitter": "Ripple",
      "__v": 0
    }
  },
  {
    "account": "rEy8TFcrAPvhpKrwyrscNYyqBGUkE9hKaJ",
    "balance": 1477168712041960,
    "name": {
      "_id": "64436b3c0b75eabd8ea96065",
      "name": "Binance",
      "desc": "4",
      "account": "rEy8TFcrAPvhpKrwyrscNYyqBGUkE9hKaJ",
      "domain": "binance.com",
      "twitter": "binance",
      "__v": 0
    }
  },
  {
    "account": "rBEc94rUFfLfTDwwGN7rQGBHc883c2QHhx",
    "balance": 1372766273535760,
    "name": {
      "_id": "64436b3c0b75eabd8ea964dd",
      "name": "Uphold",
      "desc": "4",
      "account": "rBEc94rUFfLfTDwwGN7rQGBHc883c2QHhx",
      "domain": "uphold.com",
      "twitter": "UpholdInc",
      "__v": 0
    }
  },
  ...
]
```

{% endtab %}
{% endtabs %}

## Response format

Individual account's `balance` property is represented in *drops* of XRP, where each drop is equal to `0.000001 XRP` . To convert Drop unit to XRP unit, divide the amount by `1000000`.

{% embed url="<https://xrpl.org/currency-formats.html#xrp-amounts>" %}
